bzrtools (2.6.0-2) unstable; urgency=medium

  * debian/tests/control: Add Restrictions: allow-stderr

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 01 Jun 2014 22:44:55 -0400

bzrtools (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop bzr2.6_compat.patch, fixed upstream.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Use the "canonical URI" for Vcs-Bzr field.
  * DEP-8 tests: remove “Features: no-build-needed”; it's the default now.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 13 Jan 2014 13:43:22 -0500

bzrtools (2.5+bzr786-6) unstable; urgency=low

  * Correct the versionized build depends on python-bzrlib
    (Closes: #719499).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 13 Aug 2013 20:13:39 -0400

bzrtools (2.5+bzr786-5) unstable; urgency=low

  * Loosen the versionized dependency on bzr. While bzrtools 2.6
    has yet to be released, this snapshot supports bzr 2.6.
  * Add myself to the uploaders field and run wrap-and-sort over
    the control file.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 02 Aug 2013 21:45:58 -0400

bzrtools (2.5+bzr786-4) unstable; urgency=low

  * Team upload.
  * bzr2.6_compat.patch: Fix compatibility with bzr 2.6.
    Repository.get_ancestry has been removed.
  * Bump Standards-Version to 3.9.4
  * Drop Dm-Upload-Allowed field.
  * Add autopkgtests.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 20 May 2013 22:07:03 -0400

bzrtools (2.5+bzr786-3) unstable; urgency=low

  [ Eric Newberry ]
  * Added Eric Newberry to Uploaders (Closes: #668599)
  * Removed James Westby and Jelmer Vernooij from Uploaders at the request
    of Jelmer Vernooij
  * Added Eric Newberry to debian/copyright for "debian/*"
  * Corrected lintian "syntax-error-in-dep5-copyright" error in
    debian/copyright
  * Changed "http://" to "https://" in debian/watch
  * Added Vcs-Browser field to where the bzrtools debian repository can viewed
    online
  * Changed "-e" on the #! line in debian/preinst to "set -e" on a new line

  [ Andrew Starr-Bochicchio ]
  * debian/copyright: Fix duplicate copyright fields.

 -- Eric Newberry <eric@azrockets.org>  Sun, 25 Nov 2012 17:46:30 -0700

bzrtools (2.5+bzr786-2) unstable; urgency=low

  * Use rsvg-convert rather than rsvg. Closes: #666472, LP: #971190
  * Disable version check to allow use with bzr 2.6.
  * Remove Arnaud Fontaine and Gustavo Franco from uploaders.
  * Fix Vcs-Bzr URL.
  * Add 03_testing: fix test suite run with newer versions of bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 13 Apr 2012 12:06:17 +0200

bzrtools (2.5+bzr786-1) unstable; urgency=low

  * Bump standards version to 3.9.3 (no changes).
  * Fix header of copyright file format.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Mar 2012 11:43:10 +0100

bzrtools (2.5-1) unstable; urgency=low

  * Use DEP5 for copyright file.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 20 Jan 2012 03:29:11 +0100

bzrtools (2.4.1-2) unstable; urgency=low

  * Add 01_revhistory: cope with deprecated Branch.revision_history method in
    bzr 2.5.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 21 Nov 2011 22:46:09 +0100

bzrtools (2.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Sep 2011 14:16:05 +0200

bzrtools (2.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 14 Jul 2011 13:15:52 +0200

bzrtools (2.4.0~bzr769-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes compatibility with newer versions of bzr. Closes: #629682

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 08 Jun 2011 15:52:33 +0100

bzrtools (2.4.0~bzr767-2) unstable; urgency=low

  * Re-arrange | condition in build deps to make sbuild happy.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 06 May 2011 04:15:18 +0200

bzrtools (2.4.0~bzr767-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * New upstream snapshot.
  * Support running the test suite in parallel.
  * Switch to dh_python2. Closes: #616770
  * Switch to debhelper 7, drop cdbs.

  [ John Ferlito ]
  * Remove John Ferlito from Uploaders.

  [ Jelmer Vernooij ]
  * Add build dependency on python-bzrlib.tests for compatibility with
    newer versions of bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 May 2011 03:58:07 +0200

bzrtools (2.3.1-1) unstable; urgency=low

  * Update watch file to use new location on Launchpad.
   + Fixes compatibility with Python 2.7. LP: #708268
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 02 Feb 2011 10:08:51 +0100

bzrtools (2.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 25 Jan 2011 19:03:22 -0800

bzrtools (2.3.0~bzr744-3) unstable; urgency=low

  * Fix "bzr cdiff --git". Closes: #600191

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Dec 2010 01:19:54 +0100

bzrtools (2.3.0~bzr744-2) unstable; urgency=low

  * Run testsuite as part of build process.
  * Remove trailing whitespace from control file.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 06 Nov 2010 20:35:25 +0100

bzrtools (2.3.0~bzr744-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes compatibility with Bazaar 2.3. Closes: #600332

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 Oct 2010 14:12:29 +0200

bzrtools (2.2.0-2) unstable; urgency=low

  * Upload to unstable.
  * Bump standards version to 3.9.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Aug 2010 14:08:02 +0200

bzrtools (2.2.0-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 21 May 2010 22:26:28 +0200

bzrtools (2.1.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 17 Feb 2010 17:58:10 +0100

bzrtools (2.1.0-1) experimental; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.4.
  * Use source format version 3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 12 Feb 2010 23:38:38 +0100

bzrtools (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * Version problem goes away with new release (Closes: #548444).

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 27 Sep 2009 13:02:08 +1000

bzrtools (2.0.0-2) unstable; urgency=low

  * version.py was stuck in VCS at 1.18.0. Updated to 2.0.0.
  * Added John Francesco Ferlito to Uploaders.
  * Removed unused overrides.

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 25 Sep 2009 08:43:37 +1000

bzrtools (2.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 15 Sep 2009 10:49:17 +0200

bzrtools (1.18.0-1) unstable; urgency=low

  [ James Westby ]
  * New upstream release.

  [ Jelmer Vernooij ]
  * Bump standards version to 3.8.3.
  * Fix dependency on debhelper 5.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 02 Sep 2009 15:59:00 +0200

bzrtools (1.16.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 18 Jun 2009 12:55:45 +0200

bzrtools (1.15.0-1) unstable; urgency=low

  [ Adeodato Simó ]

  * Remove myself from uploaders.

  [ Jelmer Vernooij ]
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 29 May 2009 09:33:56 +0200

bzrtools (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * Move to section vcs.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 10 Apr 2009 23:52:41 +0200

bzrtools (1.13.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Mar 2009 02:36:45 +0100

bzrtools (1.12.0-1) experimental; urgency=low

  * New upstream release.
  * Suggest rather than Recommend graphviz, since graphviz is a heavy
    dependency but the graph-ancestry command is not commonly used. 
    (LP: #321852)

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Feb 2009 21:50:52 +0100

bzrtools (1.11.0-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 13 Jan 2009 16:28:02 +0100

bzrtools (1.10.0-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 28 Nov 2008 16:14:00 +0100

bzrtools (1.9.1-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 05 Nov 2008 15:11:27 +0100

bzrtools (1.9.0-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 03 Nov 2008 19:51:35 +0100

bzrtools (1.8.0-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 08 Oct 2008 13:12:25 +0200

bzrtools (1.7.0-2) experimental; urgency=low

  * Fix dependency on newer versions of bzr.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 30 Sep 2008 20:37:07 +0200

bzrtools (1.7.0-1) experimental; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 24 Sep 2008 17:18:55 +0200

bzrtools (1.6.0-1) experimental; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.0.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 02 Aug 2008 15:05:50 +0200

bzrtools (1.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 12 May 2008 20:25:35 +0200

bzrtools (1.4.0-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * New upstream release.

  [ Adeodato Simó ]
  * Add a Dm-Upload-Allowed: yes header.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 04 May 2008 14:06:26 +0200

bzrtools (1.3.0-2) unstable; urgency=low

  * Fix dependencies to be installable against bzr 1.3.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 19 Mar 2008 13:51:20 +0100

bzrtools (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 19 Mar 2008 09:28:40 +0100

bzrtools (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 14 Feb 2008 13:44:56 +0100

bzrtools (1.1.0-1) unstable; urgency=low

  [ Adeodato Simó ]
  * New upstream release.

  [ Arnaud Fontaine ]
  * New email address.
  * debian/control:
    + Update Standards-Version to 3.7.3. No changes needed.

 -- Adeodato Simó <dato@net.com.org.es>  Sat, 12 Jan 2008 11:24:45 +0100

bzrtools (1.0.0-1) unstable; urgency=low

  [ Adeodato Simó ]
  * New upstream release.

  [ Arnaud Fontaine ]
  * debian/control:
    + Move Homepage field to the source package (dpkg supports it now).
    + Rename XS-Vcs-Bzr field to Vcs-Bzr (dpkg supports it now).
  * debian/copyright:
    + Update GPL path to GPL-2 as GPL-3 is now the default.

 -- Adeodato Simó <dato@net.com.org.es>  Mon, 03 Dec 2007 14:13:34 +0100

bzrtools (0.92.0-1) unstable; urgency=low

  * New upstream release.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 02 Nov 2007 22:30:38 +0100

bzrtools (0.91.0-1) unstable; urgency=low

  * New upstream release.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 14 Sep 2007 10:12:12 +0200

bzrtools (0.90.0-1) unstable; urgency=low

  * New upstream release:
    + `bzr branches` works against HTTP locations. (Closes: #435110)
    + `bzr multi-pull` reuses existing connections. (Closes: #435240)
    + `bzr branches` dies gracefully on connect error. (Closes: #435112)

  * Drop no_python2.4_shebangs.diff, applied upstream.

  * Fix download URL in debian/copyright. (Closes: #435108)

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 15 Aug 2007 12:03:21 +0200

bzrtools (0.18.0-1) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New upstream release.

  [ Reinhard Tartler ]
  * Move graphviz to Recommends (Closes: #423011)

  [ Adeodato Simó ]

  * Drop (meaningless) versioning constraints on suggested packages, and
    rework them a bit:
    + promote rsync to Recommends.
    + promote patch to Depends.
    + drop unneeded python-paramiko.

  * Move rsync from Build-Depends to Build-Depends-Indep.

  * Drop version constraints in Build-Depends that are satisfied in etch.

  * Run the test suite if DEB_BUILD_OPTIONS contains 'test'.

  * Add patch to loose python2.4-specific shebang lines, and thus a spurious
    dependency on python2.4 (submitted upstream).

  * Add *.Shelf and CREDITS to DEB_INSTALL_DOCS_ALL.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 17 Jul 2007 16:07:22 +0000

bzrtools (0.17.1-1) unstable; urgency=low

  * New upstream release.

  * Add myself to uploaders.

  * Do not build-depend on python-dev, but only on python.

  * Fix description of baz-import not to use Bazaar when it means Baz 1.x.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 15 Jun 2007 15:56:38 +0100

bzrtools (0.16.1-1) unstable; urgency=low

  * New upstream release
  * Place the pkg-bazaar team in the maintainer field, dropping the utnubu
    team. Rationale: We agreed that we want a dedicated team for
    maintaining all (core) bzr related packages there
  * added myself to uploaders
  * add lintian overrides for modules used by bzrtools but not intended to
    be called directly

 -- Reinhard Tartler <siretart@tauware.de>  Tue,  8 May 2007 18:33:39 +0200

bzrtools (0.16.0-1) unstable; urgency=low

  * New upstream release.
  * Add debian/watch.
  * Switch to pycentral because it installs files into the same
    directory and allow precompiled files to be used. Thanks to Piotr
    Ożarowski <piotr@debian.org>. Closes: #421317.
  * debian/control:
    + Add myself as uploaders with maintainer agreement.
    + Add pkg-bazaar team as uploaders.
    + Update Depends to bzr >= 0.16~rc1 and bzr << 0.17.
    + Add Homepage field.
  * debian/copyright:
    + Update FSF address.

 -- Arnaud Fontaine <arnaud@andesi.org>  Tue, 08 May 2007 14:22:58 +0200

bzrtools (0.15.4-1) unstable; urgency=low

  * New upstream release. (Closes: #420440, #407902)
  * Remove Depends on python-medusa. (Closes: #406398)
  * Update Depends to bzr >= 0.15 and bzr << 0.16. (Closes: #399650, #406397)
  * Extend full description to list the plugins included. Thanks Jari
    Aalto and Arnaud Fontaine. (Closes: #415720, #346251)
  * Add XS-Vcs-Svn field.  

 -- Gustavo Franco <stratus@debian.org>  Mon, 23 Apr 2007 02:14:58 -0300

bzrtools (0.11.0-1) unstable; urgency=low

  * New upstream release. (Closes: #389605)

 -- Gustavo Franco <stratus@debian.org>  Tue, 28 Nov 2006 12:21:48 -0200

bzrtools (0.10.0-2) unstable; urgency=low

  * Revert the previous upload changes by Adeodato.
  * debian/compat: Set to 5.
  * Remove debian/pycompat (not needed due to cdbs).
  * Remove debian/pyversions.
  * Add XS-Python-Version to debian/control, set to >= 2.4
  * debian/preinst: 
    - Added to avoid directory/symlink conflict due to the new Python policy.

 -- Gustavo Franco <stratus@debian.org>  Tue, 19 Sep 2006 11:26:02 -0300

bzrtools (0.10.0-1) unstable; urgency=low

  * Sync from Ubuntu. Thanks for the package, Etienne Goyer. The package does
    not still use either of pycentral or pysupport, but installs modules in a
    way compatible with pycentral, so this upload closes: #384905.

  * Add myself to Uploaders, and make small adjustments here and there:
    + prevent instalation with bzr !~ 0.10.
    + drop version requirements in Suggests.
    + promote rsync and patch to Recommends.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 13 Sep 2006 20:10:51 +0200

bzrtools (0.9.0-1) unstable; urgency=low
  
  [ Mohammed Adnène Trojette ]
  * New upstream release and resync with Ubuntu.
  * debian/control:
    - Add rsync and python-medusa to Build-Depends (necessary for tests).
    - Adjust dependencies
      + remove bzr (>= 0.8.1), bzr (<< 0.9). (Closes: #382561)
      + add bzr (>= 0.9), bzr (<< 0.10).
      + add pybaz. (Closes: #362587)
  * Remove debian/dirs. (Closes: #368729)
  * Use python-support to follow new Python Policy
    thanks to Arnaud Fontaine
     + install *.py in python-support directory.
  * Add preamble to debian/copyright.

  [ Gustavo Franco ]
  * Revert Adeodato NMU changes, already in upstream now. (Closes: #382212)
  * Relax bzr dependency setting to bzr >= 0.9.
  * debian/rules: Add targets to fit new Python policy needs.

  * Thanks Mohammed Adnène Trojette and Adeodato Simó.

 -- Gustavo Franco <stratus@debian.org>  Wed, 23 Aug 2006 11:46:01 -0300

bzrtools (0.8.1-1.1) unstable; urgency=low

  * Low threshold NMU.
  * Add patch to make bzrtools 0.8 not use DEFAULT_IGNORE, which is deprecated
    in bzr 0.9 (now in the archive), and made bzr print a couple warnings in
    every operation.

 -- Adeodato Simó <dato@net.com.org.es>  Wed,  9 Aug 2006 18:24:30 +0200

bzrtools (0.8.1-1) unstable; urgency=low

  * New upstream release. Thanks Arnaud (Closes: #368201)
  * debian/control:
    - Set Utnubu Team as Maintainer
    - Standards-Version bumped up to 3.7.2
    - Move cdbs and debhelper to Build-Depends field
    
 -- Gustavo Franco <stratus@debian.org>  Sat, 20 May 2006 11:51:30 -0300
 
bzrtools (0.7-2) unstable; urgency=low

  * debian/control: Now suggests python2.4-paramiko

 -- Gustavo Franco <stratus@debian.org>  Wed,  8 Feb 2006 17:54:09 -0200

bzrtools (0.7-1) unstable; urgency=low

  * New upstream release. (Closes: #351079)

 -- Gustavo Franco <stratus@debian.org>  Thu,  2 Feb 2006 15:40:46 -0200

bzrtools (0.6.1-2) unstable; urgency=low

  * debian/control cleanups (Thanks Aaron Bentley)
    - Standards-Version bumped up to 3.6.2.2
    - bzr (<< 0.7) added on Depends
    - rsync removed from Depends (added to Suggests)
    - pybaz removed from Recommends (it will added back later)
    - graphviz, librsvg2-bin, patch added to Suggests

 -- Gustavo Franco <stratus@debian.org>  Sun,  8 Jan 2006 12:48:03 -0200

bzrtools (0.6.1-1) unstable; urgency=low

  * First Debian release. (Closes: #344217)
  * debian/control
    - Maintainer field changed
    - Standards-Version updated to 3.6.2.1
    - Depends field cleaned up
    - Minor changes into Description
  * debian/copyright
    - jbailey email address fixed
    - s/Ubuntu/Debian/
  * debian/rules
    - simple-patchsys line removed

 -- Gustavo Franco <stratus@debian.org>  Tue, 20 Dec 2005 18:38:39 -0200

bzrtools (0.6.1-0ubuntu1) UNRELEASED; urgency=low

  * Snapshot

 -- Jeff Bailey <jbailey@ubuntu.com>  Thu, 10 Nov 2005 11:54:46 -0500

